// Copyright (c) 2021 Terminus, Inc.
//
// This program is free software: you can use, redistribute, and/or modify
// it under the terms of the GNU Affero General Public License, version 3
// or later ("AGPL"), as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

package linters_test

import (
	"testing"

	"github.com/erda-project/erda/pkg/database/sqllint"
	"github.com/erda-project/erda/pkg/database/sqllint/linters"
)

const varcharLengthLinterSQL = `
create table some_table (
	name varchar(5001)
);
`

func TestNewVarcharLengthLinter(t *testing.T) {
	linter := sqllint.New(linters.NewVarcharLengthLinter)
	if err := linter.Input([]byte(varcharLengthLinterSQL), "varcharLengthLinterSQL"); err != nil {
		t.Error(err)
	}
	errors := linter.Errors()
	if len(errors) == 0 {
		t.Fatal("fails")
	}
}
